source: trunk/dports/databases/libgda4/Portfile @ 117762

Last change on this file since 117762 was 117762, checked in by devans@…, 6 years ago

libgda4, libgda5: replace m4/intltool.m4 with our version before autoreconf to fix intltool configuration.

  • Property svn:eol-style set to native
  • Property svn:keywords set to Id
File size: 6.3 KB
Line 
1# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
2# $Id: Portfile 117762 2014-03-11 07:25:09Z devans@macports.org $
3
4PortSystem      1.0
5
6name            libgda4
7set gname       libgda
8version         4.2.13
9revision        7
10license         {GPL-2 LGPL}
11
12set branch      [join [lrange [split ${version} .] 0 1] .]
13description     GDA provides uniform access to different kinds of data sources.
14long_description \
15                GNU Data Access (GDA) is an attempt to provide \
16                uniform access to different kinds of data sources \
17                (databases, information servers, mail spools, etc). This is a legacy \
18                version that provides library support for ports that have not yet \
19                upgraded to the current stable version.  For new development and/or \
20                GTK+ GUI tools please install libgda5 instead.
21
22maintainers     devans openmaintainer
23categories      databases gnome
24platforms       darwin
25homepage        http://www.gnome-db.org/
26distname        libgda-${version}
27master_sites    gnome:sources/${gname}/${branch}/
28use_xz          yes
29
30checksums       rmd160  f487af2620fc241e6608a80b863b40a81ea3c548 \
31                sha256  25b75951f8f38fd58a403389566a0aae2f83b39d4225bc3acf5f2d68895ab4c3
32
33depends_build   port:pkgconfig \
34                port:intltool \
35                port:gnome-doc-utils
36
37depends_lib     port:desktop-file-utils \
38                port:readline \
39                port:libunique \
40                port:iso-codes \
41                port:libsoup \
42                port:libtool \
43                port:libxslt \
44                port:gobject-introspection
45
46patchfiles      patch-bdb.diff \
47                patch-libgda_gda-data-select.c.diff \
48                patch-G_TYPE_ERROR.diff \
49                patch-introspection-1.36.diff \
50                patch-gir-warnings.diff
51
52# update m4/intltool.m4 and autoreconf
53
54pre-configure {
55    copy -force ${prefix}/share/aclocal/intltool.m4 ${worksrcpath}/m4
56}
57
58use_autoreconf  yes
59autoreconf.args -fvi
60
61#
62# use embedded libsqlite3 rather than the system version
63# to avoid dlopen 'Can't find file libsqlite3.so' errors
64#
65# since this is a legacy version of libgda, disable the
66# gtk ui which conflicts with current version libgda5
67#
68
69configure.args  --enable-system-sqlite=no \
70                --disable-silent-rules \
71                --enable-introspection \
72                --enable-gda-gi \
73                --disable-gdaui-gi \
74                --without-ui \
75                --without-bdb \
76                --without-graphviz \
77                --without-mysql \
78                --without-postgres \
79                --without-oracle \
80                --without-firebird \
81                --without-java \
82                --without-jni
83
84use_parallel_build no
85
86variant with_mysql5 \
87    description {support for current MySQL 5.x} {
88    depends_lib-append  path:bin/mysql_config5:mysql5
89    configure.env-append    \
90        MYSQL_CONFIG=${prefix}/lib/mysql5/bin/mysql_config
91    configure.args-delete   --without-mysql
92    configure.args-append   --with-mysql=${prefix}/lib/mysql5
93    configure.cppflags-append   "-I${prefix}/include/mysql5/mysql"
94}
95
96variant with_postgresql83 conflicts with_postgresql84 with_postgresql90 \
97    description {support for PostgreSQL 8.3.x} {
98    configure.cppflags-append   "-I${prefix}/include/postgresql83"
99    depends_lib-append  port:postgresql83
100    configure.args-delete   --without-postgres
101    configure.args-append   --with-postgres=${prefix}/lib/postgresql83
102}
103
104variant with_postgresql84 conflicts with_postgresql83 with_postgresql90 \
105    description {support for PostgreSQL 8.4.x} {
106    configure.cppflags-append   "-I${prefix}/include/postgresql84"
107    depends_lib-append  port:postgresql84
108    configure.args-delete   --without-postgres
109    configure.args-append   --with-postgres=${prefix}/lib/postgresql84
110}
111
112variant with_postgresql90 conflicts with_postgresql83 with_postgresql84 \
113    description {support for PostgreSQL 9.0.x} {
114    configure.cppflags-append   "-I${prefix}/include/postgresql90"
115    depends_lib-append  port:postgresql90
116    configure.args-delete   --without-postgres
117    configure.args-append   --with-postgres=${prefix}/lib/postgresql90
118}
119
120# remove this legacy variant after 201409
121
122variant without_bdb conflicts db47 db48 db51 \
123    description {Legacy variant to disable all Berkeley DB support} {
124}
125
126variant db47 conflicts without_bdb db48 db51  \
127    description {support for Berkeley DB 4.7.x} {
128    set db_version 47
129    depends_lib-append  port:db${db_version}
130    configure.cppflags-append "-I${prefix}/include/db${db_version}"
131    configure.args-delete   --without-bdb
132    configure.args-append   --with-bdb=${prefix} \
133                            --with-bdb-libdir-name=lib/db${db_version}
134}
135
136variant db48 conflicts without_bdb db47 db51 \
137    description {support for Berkeley DB 4.8.x} {
138    set db_version 48
139    depends_lib-append  port:db${db_version}
140    configure.cppflags-append "-I${prefix}/include/db${db_version}"
141    configure.args-delete   --without-bdb
142    configure.args-append   --with-bdb=${prefix} \
143                            --with-bdb-libdir-name=lib/db${db_version}
144}
145
146variant db51 conflicts without_bdb db47 db48 \
147    description {support for Berkeley DB 5.1.x} {
148    set db_version 51
149    depends_lib-append  port:db${db_version}
150    configure.cppflags-append "-I${prefix}/include/db${db_version}"
151    configure.args-delete   --without-bdb
152    configure.args-append   --with-bdb=${prefix} \
153                            --with-bdb-libdir-name=lib/db${db_version}
154}
155
156if {[variant_isset without_bdb]} {
157    default_variants -db47 -db48 -db51
158} else {
159    if {![variant_isset db47] && ![variant_isset db48]} {
160        default_variants +db51
161    }
162}
163
164#
165# delete non-versioned symbolic links to version specific binaries
166# and man pages to avoid conflicts with other libgda versions
167#
168 
169post-destroot {
170    delete ${destroot}${prefix}/bin/gda-list-config
171    delete ${destroot}${prefix}/bin/gda-list-server-op
172    delete ${destroot}${prefix}/bin/gda-sql
173    delete ${destroot}${prefix}/share/man/man1/gda-sql.1
174}
175 
176post-activate {
177    system "${prefix}/bin/gtk-update-icon-cache -f -t ${prefix}/share/icons/hicolor"
178    system "${prefix}/bin/update-desktop-database ${prefix}/share/applications"
179}
180
181livecheck.type gnome
182livecheck.name ${gname}
183livecheck.regex {LATEST-IS-(4\.\d*[02468](?:\.\d+)*)}
Note: See TracBrowser for help on using the repository browser.